Get a list of coverages
get
/Coverage
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of coverages that meet the supplied query parameters.
Use _id or patient, not both.
Request
Query Parameters
-
_id: string
The logical resource ID.
-
patient: string
The patient reference or ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Coverage
The FHIR R4 Coverage resource.
-
object
ProvenanceForCoverage
Additional Properties Allowed:
trueThe included FHIR Provenance resource. -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Coverage
Type:
objectThe FHIR R4 Coverage resource.
Show Source
-
beneficiary(required): object
ReferenceForCoverage
-
class(required): array
class
-
dependent: string
-
id(required): string
-
identifier: array
identifier
-
meta: object
meta
-
payor(required): array
payor
-
period: object
Period
-
relationship: object
CodeableConcept
-
resourceType(required): string
Allowed Values:
[ "Coverage" ] -
status(required): string
Allowed Values:
[ "active" ] -
subscriber: object
ReferenceForCoverage
-
subscriberId: string
-
type: object
CodeableConcept
Nested Schema : ProvenanceForCoverage
Type:
objectAdditional Properties Allowed:
trueThe included FHIR Provenance resource.
Show Source
-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source